## cong-dispspec-registry

cong-dispspec-registry —

## Synopsis

    CongDispspecRegistry* cong_dispspec_registry_new
                                                (const gchar *xds_directory,
                                                 GtkWindow *toplevel_window);
    void        cong_dispspec_registry_free     (CongDispspecRegistry *registry);
    CongDispspec* cong_dispspec_registry_get    (CongDispspecRegistry *registry,
                                                 unsigned int i);
    void        cong_dispspec_registry_add      (CongDispspecRegistry *registry,
                                                 CongDispspec *ds);
    void        cong_dispspec_registry_dump     (CongDispspecRegistry *registry);
    CongDispspec* cong_dispspec_registry_get_appropriate_dispspec
                                                (CongDispspecRegistry *registry,
                                                 xmlDocPtr doc,
                                                 const gchar *filename_extension);

## Description

## Details

### cong_dispspec_registry_new ()

    CongDispspecRegistry* cong_dispspec_registry_new
                                                (const gchar *xds_directory,
                                                 GtkWindow *toplevel_window);

TODO: Write me

`xds_directory` : |
`toplevel_window` : |
Returns : |

### cong_dispspec_registry_free ()

    void        cong_dispspec_registry_free     (CongDispspecRegistry *registry);

This function is currently just a false assertion

`registry` : |

### cong_dispspec_registry_get ()

    CongDispspec* cong_dispspec_registry_get    (CongDispspecRegistry *registry,
                                                 unsigned int i);

TODO: Write me

`registry` : |
`i` : |
Returns : |

### cong_dispspec_registry_add ()

    void        cong_dispspec_registry_add      (CongDispspecRegistry *registry,
                                                 CongDispspec *ds);

TODO: Write me

`registry` : |
`ds` : |

### cong_dispspec_registry_dump ()

    void        cong_dispspec_registry_dump     (CongDispspecRegistry *registry);

TODO: Write me

`registry` : |

### cong_dispspec_registry_get_appropriate_dispspec ()

    CongDispspec* cong_dispspec_registry_get_appropriate_dispspec
                                                (CongDispspecRegistry *registry,
                                                 xmlDocPtr doc,
                                                 const gchar *filename_extension);

Routine to figure out an appropriate dispspec for use with this file. Looks for a DTD; if found, it looks up the DTD in a mapping. If this fails, it looks at the top-level tag and makes a guess, but asks the user for confirmation. If this fails, it asks the user.

`registry` : |
`doc` : |
`filename_extension` : |
Returns : | The appropriate dispspec for use with the file.